summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBertrand Jacquin <bertrand@jacquin.bzh>2017-10-17 23:06:25 +0100
committerCraig Andrews <candrews@gentoo.org>2017-12-20 14:59:50 -0500
commit550f4ffba8ba4d9636b6b37ad1def8a776035717 (patch)
tree6b2c227c22e27303e579bf17fb2be3f6c330b780 /net-analyzer/mk-livestatus
parentnet-analyzer/mk-livestatus: Fix creation of icigna.cfg (diff)
downloadgentoo-550f4ffba8ba4d9636b6b37ad1def8a776035717.tar.gz
gentoo-550f4ffba8ba4d9636b6b37ad1def8a776035717.tar.bz2
gentoo-550f4ffba8ba4d9636b6b37ad1def8a776035717.zip
net-analyzer/mk-livestatus: Version bump
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'net-analyzer/mk-livestatus')
-rw-r--r--net-analyzer/mk-livestatus/Manifest1
-rw-r--r--net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p26.ebuild157
2 files changed, 158 insertions, 0 deletions
diff --git a/net-analyzer/mk-livestatus/Manifest b/net-analyzer/mk-livestatus/Manifest
index 37a8d08f777..f76e15d2407 100644
--- a/net-analyzer/mk-livestatus/Manifest
+++ b/net-analyzer/mk-livestatus/Manifest
@@ -1,2 +1,3 @@
DIST mk-livestatus-1.2.8p10.tar.gz 453496 BLAKE2B 5c6cb41dff2d3cc29837088c18c6f7e4bfa6a5a9a3802adafe86fb28523bfc8037fc0c69770861612568db5fc8b61569663c3033201c6293b6da2dba3de55100 SHA512 ff25c2a8d0105fdd156bc922b56df10e3497361620671dc73242db0a7b57fbd34955b5f4fbd9954602c8011b1f6a5ebd4e278df7c3e66639d74110fd0035682d
DIST mk-livestatus-1.2.8p16.tar.gz 453565 BLAKE2B 73b4f2d245740e9427af391691a3873b2930bbef1de2b147cefdde1b84f24e7acf61aa748a8adaad4290c77d9b1c7aef7540c69d44c420522c5d56115127b49b SHA512 32d4bc014c008ac7afbdca53e6b3e0d71f8eee5f41f4a0299a8e14cee2a1ea93216fe04c4ff9aa7d7b927dde8e63d186f09a2847665851f1063e699cf73a8df4
+DIST mk-livestatus-1.2.8p26.tar.gz 453508 BLAKE2B 75338c65b2c323d4ef2637ef2507f6f213bd3b58a32c0bd377a3c0c0ead34c75394539eaec08d40ee9ea16ca2534158ee4c6823387f3fc3648a02a22d86e0395 SHA512 8afeb6e750d7eb310380153af91f9c6f889f6e350e26dc97f923a49b2e3cc6c0b866f893664ad5d9fd9c0e8671b0a69e1267e464e4de9faf75a2eb24536ae014
diff --git a/net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p26.ebuild b/net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p26.ebuild
new file mode 100644
index 00000000000..3813d1d6918
--- /dev/null
+++ b/net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p26.ebuild
@@ -0,0 +1,157 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+GENTOO_DEPEND_ON_PERL=no
+PYTHON_COMPAT=( python2_7 )
+inherit autotools perl-module python-single-r1
+
+MY_PV="${PV/_p/p}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Nagios/Icinga event broker that allows quick/direct access to your status data"
+HOMEPAGE="http://mathias-kettner.de/checkmk_livestatus.html"
+SRC_URI="http://mathias-kettner.de/download/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="examples nagios4 perl python test"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="!sys-apps/ucspi-unix:0
+ perl? (
+ dev-lang/perl:0
+ virtual/perl-Digest-MD5:0
+ virtual/perl-Scalar-List-Utils:0
+ >=virtual/perl-Thread-Queue-2.11:0
+ virtual/perl-Encode:0
+ dev-perl/JSON-XS:0
+ )
+ python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+ perl? (
+ dev-perl/Module-Install:0
+ virtual/perl-ExtUtils-MakeMaker:0
+ virtual/perl-File-Path:0
+ virtual/perl-File-Spec:0
+ virtual/perl-File-Temp:0
+ test? (
+ dev-perl/File-Copy-Recursive:0
+ dev-perl/Test-Pod:0
+ dev-perl/Test-Perl-Critic:0
+ dev-perl/Test-Pod-Coverage:0
+ dev-perl/Perl-Critic:0
+ dev-perl/Perl-Critic-Policy-Dynamic-NoIndirect:0
+ dev-perl/Perl-Critic-Deprecated:0
+ dev-perl/Perl-Critic-Nits:0
+ )
+ )"
+
+# For perl test
+SRC_TEST="parallel"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}/1.2.8_p10-MEDIUM-Drop-default-strip.patch"
+ "${FILESDIR}/1.2.8_p10-MINOR-test-Remove-the-usage-of-Perl-Critic-Policy-Mo.patch"
+)
+
+src_prepare() {
+ default
+
+ # Use system Module::Install instead, it will be copied to $S by
+ # Module::install itself.
+ rm -rf api/perl/inc || die
+
+ if use perl; then
+ # Ensure patches are not applied twice
+ unset PATCHES
+ perl-module_src_prepare
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_with nagios4)
+
+ if use perl; then
+ cd api/perl || die
+ perl-module_src_configure
+ fi
+}
+
+src_compile() {
+ emake
+
+ if use perl; then
+ cd api/perl || die
+ perl-module_src_compile
+ fi
+}
+
+src_test() {
+ if use perl; then
+ cd api/perl || die
+
+ export TEST_AUTHOR="Test Author"
+ perl-module_src_test
+ fi
+}
+
+src_install() {
+ emake install DESTDIR="${ED}"
+
+ # install a config file showing whats needed to enable livestatus for nagios
+ cat <<EOF >"${T}"/nagios.cfg
+# Ensure all data is set to event brokers
+event_broker_options=-1
+broker_module=${EPREFIX%/}/usr/$(get_libdir)/${PN}/livestatus.o
+EOF
+ # same for icigna
+ cat <<EOF >"${T}"/icigna.cfg
+define module{
+ module_name ${PN}
+ module_type neb
+ path /usr/$(get_libdir)/${PN}/livestatus.o
+ args /var/lib/icigna/rw/live
+ }
+EOF
+ insinto /usr/share/${PN}
+ doins "${T}"/{nagios,icigna}.cfg
+
+ if use perl; then
+ cd api/perl || die
+ perl-module_src_install
+ cd "${S}"
+
+ if use examples; then
+ docinto /
+ newdoc api/perl/README README.perl
+
+ docinto examples
+ dodoc api/perl/examples/dump.pl
+ fi
+ fi
+
+ if use python; then
+ python_foreach_impl python_domodule api/python/livestatus.py
+
+ if use examples; then
+ docinto /
+ newdoc api/python/README README.python
+
+ docinto examples
+ dodoc api/python/{example,example_multisite,make_nagvis_map}.py
+ fi
+ fi
+}
+
+pkg_postinst() {
+ elog "Sample configurations for icigna and nagios are available in"
+ elog "/usr/share/${PN}"
+}